BANK KALTENG Bugs - Bug #3690

[ESS-AttendanceMobile]Pengecekan terkait pengajuan ess attendance pada ess attendancemobile
dimana jika employee ada cuti di periode cuti, seharusnya tidak bisa melakukan attendance di dalam
periode cuti tersebut

06/26/2025 10:17 AM - Muhammad Bintar

Status: Closed Start date: 06/26/2025
Priority: Urgent Due date: 06/30/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

dear tim developer mohon support nya untuk dilakukan pengecekan terkait pengajuan ess attendance pada ess attendancemobile
dimana jika employee ada cuti di periode cuti,

seharusnya tidak bisa melakukan attendance di dalam periode cuti tersebut.

kalau di aplikasi versi web di menu HR time data, biasanya suka ada "intersect with attendance master data" pada saat input
attendance.

contoh employee 00000733

Employee Overview - 00000373 - BOBBY SAVENDRA,S.H.

Employee ID: 00000373 Company ID: PT. Bank Kalteng
Full Name: BOBBY SAVENDRA,S H. Employee Office: Kantor Pusat
Employee Status: Active Organization: Departemen Remedial
Employee Type: Pegawai Tetap Directorate:
Division:
Position: Asisten Penagihan Kredit |
Overtime Absence Quota | Absence | Attendance
Action
Start Da... End Date Absence Type Delegate .. Absence Addre... Absence Phone | Total Absence Tak... Notes
Employee Overview - 00000373 - BOBBY SAVENDRAS H.
Employes ID- 00000373 Company ID: PT. Bank Kalteng
Full Name: BOBBY SAVENDRASH. Employee Office: Kantor Pusat
Employee Status: Active O izath D R
Employee Type: Pegawal Tetap Direciorate:
Division:
Position: Asisten Penaglhan Kredit Bermasalah (Collection Officer)
Owvertime Absence Quota Absance Work Schedule Personal Work Sch
Action Clear Filter
Start Da. Attendance Type StartTime  Start Location End Ti... End Location
26M6/2025  Jam Kerja 0708 Ki Tengah, Indonesia, ID, | Jekan Raya, Kota Palangka Raya, Menteng, 74874
26/06/2026  Jam Kerja 0655 Kali Tengah, ia, ID, K Jekan Raya, Kota Palangka Raya, Menteng, 74874 1840 Kali Tengah, ia, 10, K Jekan Raya, Kota Palangka Raya, Menteng, 74874
24/06/2025  Jam Keda 0737 Ki Tengah, Indenesia, 1D, Ki Jekan Raya, Kota Palangka Raya, Menteng, 74874 1931 K Tengah, Ind, la, 1D, Jekan Raya, Kota Palangka Raya, Menteng, 74574
activation code nya BKTDEV

Port: http://remote.minovais.com:31130/
DB: MinovaES_Bank_Kalteng_Dev (1442)

Status
Started (ht...

Binding

katteng-mobile- dev.minovais.com on "44;

History

#1 - 06/26/2025 04:43 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 06/30/2025 01:43 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin,, udah bisa di test ya

package :
sp (Mobile_GetValidasiBeforeSubmit)

makasih

#3 - 06/30/2025 02:28 PM - Muhammad Bintar
- File clipboard-202506301428-4xgli.jog added
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

sudah di testing, tinggal message nya di lengkapin aja.
dimana ya caranya??
#4 - 06/30/2025 02:31 PM - Kezia Pawitra Yulianti

- Status changed from QA Test to Revise

bisa tolong d bikinin message catalog aja biar kalimat nya lebih familiar dan mudah dipahami.

'Anda sudah memiliki data cuti di tanggal yang sama. Mohon di cek kembali untuk data terkait'

#5 - 06/30/2025 02:41 PM - M Azid Wahyudi
- File clipboard-202506301441-tmsvd.png added
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , kayanya lu salah ngetest employeeid dah emang yang lu test employeeid berapa ?
seharusnya messagenya seperti ini

{@EmployeelID,
@filename,
@filebasesd;

bk - N T R — LIl [P B S T,

100 % -

i Resutts _'j Messages
Result Message Type
1 | Andatidak dapat melakukan absen dimasa cuti | 2

makasih

#6 - 06/30/2025 03:04 PM - Kezia Pawitra Yulianti
- Status changed from Revise to QA Test

- Priority changed from High to Urgent

#7 - 07/01/2025 03:54 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah deploy

Files

clipboard-202506261011-twfnf.png 55.1 KB 06/26/2025 Muhammad Bintar

clipboard-202506261012-4mmku.png 174 KB 06/26/2025 Muhammad Bintar

clipboard-202506261012-6nfos.png 205 KB 06/26/2025 Muhammad Bintar

clipboard-202506301428-4xgli.jpg 32.4 KB 06/30/2025 Muhammad Bintar

clipboard-202506301441-tmsvd.png 13.3 KB 06/30/2025 M Azid Wahyudi
